aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2024-10-21 17:31:46 +0200
committerArthur Zamarin <arthurzam@gentoo.org>2024-10-21 20:41:13 +0300
commit8b5cdc0c1e85aab171e843c11cfb3b5ce1bb93d9 (patch)
treed4f18ba49d60fd8c3c1327f0b8a6417c8bebb03a /testdata/repos
parentstart work on v0.10.32 (diff)
downloadpkgcheck-8b5cdc0c1e85aab171e843c11cfb3b5ce1bb93d9.tar.gz
pkgcheck-8b5cdc0c1e85aab171e843c11cfb3b5ce1bb93d9.tar.bz2
pkgcheck-8b5cdc0c1e85aab171e843c11cfb3b5ce1bb93d9.zip
testdata: Use a more realistic python-any-r1 implementation
Signed-off-by: Michał Górny <mgorny@gentoo.org> Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
Diffstat (limited to 'testdata/repos')
-rw-r--r--testdata/repos/python/eclass/python-any-r1.eclass10
1 files changed, 4 insertions, 6 deletions
diff --git a/testdata/repos/python/eclass/python-any-r1.eclass b/testdata/repos/python/eclass/python-any-r1.eclass
index 1066a5ad..8cfc2f5c 100644
--- a/testdata/repos/python/eclass/python-any-r1.eclass
+++ b/testdata/repos/python/eclass/python-any-r1.eclass
@@ -12,16 +12,14 @@
_python_set_impls() {
local i slot
- local -a use
+ PYTHON_DEPS="|| ("
for i in "${PYTHON_COMPAT[@]}"; do
slot=${i#python}
slot=${slot/_/.}
- use+=( "python_targets_${i}" )
- PYTHON_DEPS+=" python_targets_${i}? ( dev-lang/python:${slot} )"
+ PYTHON_DEPS+=" dev-lang/python:${slot}"
done
- IUSE+=" ${use[@]}"
- PYTHON_REQUIRED_USE="|| ( ${use[@]} )"
- PYTHON_USEDEP=$(IFS=","; echo "${use[*]}")
+ PYTHON_DEPS+=" )"
+ PYTHON_REQUIRED_USE='I-DO-NOT-EXIST-IN-PYTHON-ANY-R1'
}
_python_set_impls